Subject: Re: bug#44903: Guix 1.2.0 installer 'auto-partition!' crash

From: Josselin Poiret <[email-masked]>
Date: Sat, 08 Oct 2022 19:59:09 +0200

Hi Maxim,

Maxim Cournoyer <[email-masked]> writes:

> Mathieu, do you think this bug can still exist in 1.3.0 or our current
> snapshot installer images?  If not, we should close it, as it's gone
> stale and reported against 1.2.0.

Just my 2 cents: I think this issue was fixed with
0a74509a696671580c8a7dc768d26f414748bab5.  Sometimes, devices are so
small you can't even create a new partition table on them, and we used
to not detect this failure and instead return #f for the disk.  That or
ped_disk_new fails for some reason but I wouldn't know why without more
info.

Best,
-- 
Josselin Poiret